# -*- coding:utf-8 -*-
##############################################################################
#
#    SISB, Sistema Integral Simon Bolivar
#    Copyright (C) 2012-2013 Industrias Diana, C.A. All Rights Reserved
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################
{
    'name': 'Resumen general de asignaciones y deducciones de nomina.',
    'version': '1.0',
    "author": "Industrias Diana C.A.",
    "category": "Human Resources",
    "website": "http://www.industriasdiana.gob.ve",
    'description': """Modulo que genera un reporte general con todas las asignaciones y deducciones de todos 
                    los trabajadores, clasificandolos por el tipo de nomina, en formato .ods y protegido
                    contra escritura.""",
    'depends': ['base', 'sisb_nomina'],
    'external_dependencies': {
        'python': ['xlwt']
    },
    'init_xml': [],
    'update_xml': [
        'security/groups.xml',
        'security/ir.model.access.csv',
        'wizard/sisb_nomina_resumen_wizard.xml'
    ],
    'active': True,
    'installable': True
}
