#!/usr/bin/env python
# -*- coding: utf-8 -*-
from report import report_sxw
import os


class report_nomina_resumen(report_sxw.rml_parse):
    """ Herencia a clase base para reportes de OpenERP
    """
    _name = 'report.nomina.resumen'

    def __init__(self, cr, uid, name, context):
        """ Se sobrecarga el init para agregarle el context
        """
        super(report_nomina_resumen, self).__init__(cr, uid, name, context)
        self.context = context


report_sxw = report_sxw.report_sxw


class TxtParser(report_sxw):
    def __init__(self, name, table, rml=False, parser=False, header=True, store=False):
        self.parser_instance = False
        self.localcontext = {}
        report_sxw.__init__(self, name, table, rml, parser, header, store)

    def create_single_pdf(self, cursor, uid, ids, data, report_xml, context):
        file = open(data['file'], 'r')
        output = file.read()
        os.remove(data['file'])
        return (output, 'ods')


TxtParser('report.nomina.resumen', 'nomina.resumen', None, parser=report_nomina_resumen, header=False)
